<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{importarXmlBean.usuario}" />
	</f:metadata>

	<ui:define name="page_title">
		Importar NFCe
	</ui:define>
	<ui:define name="content">
		<div>
			<h3 class="title text-center">Importar Produtos de um nova Nota Fiscal</h3>
		</div>
		<h:messages id="messages" showSummary="true" showDetail="true"/>
		<div class="row">
			<div class="col-md-6">
				<div jsf:rendered="#{empty importarXmlBean.arquivo}">
					<h:form id="form" enctype="multipart/form-data">
						<h:outputLabel value="Arquivo" for="arquivo" />
						<h:inputFile id="arquivo" value="#{importarXmlBean.arquivo}"
							label="Arquivo" styleClass="btn btn-primary" />
						<h:commandButton value="Visualizar Nota Fiscal"
							action="#{importarXmlBean.importarXML()}"
							styleClass="btn btn-primary" />
					</h:form>
				</div>
			</div>
			<div class="col-md-6">
				<div jsf:rendered="#{empty importarXmlBean.arquivo}">
					<h:form id="form2" enctype="multipart/form-data">
						<h:outputLabel value="Arquivos" for="arquivos" />
						<o:inputFile id="arquivos" value="#{importarXmlBean.files}" multiple="true" label="Arquivos" styleClass="btn btn-primary"/>
						<h:commandButton value="Importar Notas Fiscais"
							action="#{importarXmlBean.importarListaXML()}"
							styleClass="btn btn-primary" />
					</h:form>
				</div>
			</div>
		</div>
		<h:form>
		<div class="row" jsf:rendered="#{not empty importarXmlBean.produtos}">
				<p>
					<strong>NF: </strong>#{importarXmlBean.numeroNf}
				</p>
				<p>
					<strong>CHAVE: </strong>#{importarXmlBean.protocoloNf}
				</p>
				<p>
					<strong>DATA: </strong>#{importarXmlBean.dataEmissaoNf}
				</p>
				<p>
					<strong>LOCAL: </strong>#{importarXmlBean.localNf}
				</p>
				<br />
				<h:dataTable
					value="#{importarXmlBean.produtos}"
					var="registro" styleClass="table table-striped">
					<h:column>
						<f:facet name="header">COD. PRODUTO</f:facet>
    					#{registro.codigoProduto}
					</h:column>
					<h:column>
						<f:facet name="header">EAN</f:facet>
    					#{registro.ean}
    				</h:column>
					<h:column>
						<f:facet name="header">PRODUTO</f:facet>
    					#{registro.descricao}
    				</h:column>
    				<h:column>
						<f:facet name="header">UNIDADE</f:facet>
    					#{registro.unidade}
    				</h:column>
					<h:column>
						<f:facet name="header">VL. UNITÁRIO</f:facet>
    					R$ #{registro.vlProduto}
    				</h:column>
				</h:dataTable>
		</div>
		<div class="row" jsf:rendered="#{not empty importarXmlBean.produtos}">
			<div class="col-md-12 pull-right">
<!-- 				<h:commandButton action="#{importarXmlBean.novaNotaFiscal()}" -->
<!-- 					value="Selecionar NF" styleClass="btn btn-primary"/> -->
				<h:commandLink action="inicio" value="Página Inicial" styleClass="btn btn-primary"/>
				<h:commandButton action="#{importarXmlBean.novaNotaFiscal()}"
					value="Selecionar NF" styleClass="btn btn-primary"/>
				<h:commandButton action="#{importarXmlBean.validarArquivo()}"
					value="Validar Arquivo" styleClass="btn btn-primary"/>
				<h:commandButton action="#{importarXmlBean.salvarNFCe()}"
					value="Salvar Nota Fiscal" styleClass="btn btn-success"/>
			</div>
		</div>
		</h:form>
	</ui:define>

</ui:composition>
